%global pkgname iscpy
Name:           python-iscpy
Version:        1.05
Release:        1%{?dist}
Summary:        Python library to parse ISC style config files

License:        BSD
URL:            https://pypi.python.org/pypi/iscpy
Source0:        https://pypi.python.org/packages/source/i/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
ISCpy is a robust ISC config file parser. It has virtually
unlimited possibilities for depth and quantity of ISC
config files. ISC config files include BIND and DHCP
config files among a few others.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
PYTHONPATH=`pwd`
%{__python} setup.py test

%files
%doc Authors ChangeLog License
%{python_sitelib}/iscpy
%{python_sitelib}/%{pkgname}-%{version}-*.egg-info

%changelog
* Fri Oct 04 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.05-1
- Initial packaging